Get the medical lists
Each frequency’s dose times, and the exam types and reasons; with the frequencies there are, each with its doses a day.
GET
https://{organization}.rescueconsole.com
/
api
/
animals
/
medical-settings
Get the medical lists
curl --request GET \
--url https://{organization}.rescueconsole.com/api/animals/medical-settings \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{organization}.rescueconsole.com/api/animals/medical-settings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://{organization}.rescueconsole.com/api/animals/medical-settings"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"settings": {
"frequency_times": {},
"exam_types": [
"<string>"
],
"exam_reasons": [
"<string>"
],
"own_exam_types": true,
"own_exam_reasons": true
}
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}⌘I
Get the medical lists
curl --request GET \
--url https://{organization}.rescueconsole.com/api/animals/medical-settings \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{organization}.rescueconsole.com/api/animals/medical-settings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://{organization}.rescueconsole.com/api/animals/medical-settings"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"settings": {
"frequency_times": {},
"exam_types": [
"<string>"
],
"exam_reasons": [
"<string>"
],
"own_exam_types": true,
"own_exam_reasons": true
}
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}
